# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.466   -> 1.467  
#	drivers/usb/hid-core.c	1.15    -> 1.16   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/03/04	vojtech@suse.cz	1.467
# USB HID drivers:
# 	- bug fix for lockup on SMP machines
# --------------------------------------------
#
diff -Nru a/drivers/usb/hid-core.c b/drivers/usb/hid-core.c
--- a/drivers/usb/hid-core.c	Mon Mar  4 16:11:24 2002
+++ b/drivers/usb/hid-core.c	Mon Mar  4 16:11:24 2002
@@ -1048,6 +1048,7 @@
 
 	if (hid->outhead != hid->outtail) {
 		hid_submit_out(hid);
+		spin_unlock_irqrestore(&hid->outlock, flags);
 		return;
 	}
 
@@ -1079,6 +1080,7 @@
 
 	if (hid->ctrlhead != hid->ctrltail) {
 		hid_submit_ctrl(hid);
+		spin_unlock_irqrestore(&hid->ctrllock, flags);
 		return;
 	}
 
